Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tibco.bpm.web.client.model.types.org
Class OrgUnitEntity

    java.lang.Object
      com.tibco.bpm.web.client.model.types.org.ModelEntity
          com.tibco.bpm.web.client.model.types.org.BaseOrgUnit
              com.tibco.bpm.web.client.model.types.org.OrgUnitEntity

    public class OrgUnitEntity

extends BaseOrgUnit

Constructor Summary
`OrgUnitEntity()`

Method Summary
`java.lang.String` | `getDynamic()`
`ExtensionPoint` | `getExtensionPoint()`
`java.util.List<ModelInstanceIdValue>` | `getModelInstIdVals()`
`java.util.List<OrgUnitEntity>` | `getOrgUnitArray()`
`java.util.List<Position>` | `getPositionArray()`
`boolean` | `isExtensionPoint()`
`void` | `setDynamic(java.lang.String dynamic)`
`void` | `setExtensionPoint(ExtensionPoint extensionPoint)`
`void` | `setModelInstIdVals(java.util.List<ModelInstanceIdValue> modelInstIdVals)`
`void` | `setOrgUnitArray(java.util.List<OrgUnitEntity> orgUnitArray)`
`void` | `setPositionArray(java.util.List<Position> positionArray)`

Methods inherited from class com.tibco.bpm.web.client.model.types.org.BaseOrgUnit
`getAllocationMethod, getAttributeArray, getCalendarAlias, getLocationRef, getPrevilegeHolding, getPushDestArray, getSchemaType, setAllocationMethod, setAttributeArray, setCalendarAlias, setLocationRef, setPrevilegeHolding, setPushDestArray, setSchemaType`

Methods inherited from class com.tibco.bpm.web.client.model.types.org.ModelEntity
`getGuid, getLabel, getName, setGuid, setLabel, setName, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### OrgUnitEntity

    public OrgUnitEntity()

Method Detail

### getPositionArray

    public java.util.List<Position> getPositionArray()

### setPositionArray

    public void setPositionArray(java.util.List<Position> positionArray)

### getOrgUnitArray

    public java.util.List<OrgUnitEntity> getOrgUnitArray()

### setOrgUnitArray

    public void setOrgUnitArray(java.util.List<OrgUnitEntity> orgUnitArray)

### getDynamic

    public java.lang.String getDynamic()

### setDynamic

    public void setDynamic(java.lang.String dynamic)

### getModelInstIdVals

    public java.util.List<ModelInstanceIdValue> getModelInstIdVals()

### setModelInstIdVals

    public void setModelInstIdVals(java.util.List<ModelInstanceIdValue> modelInstIdVals)

### getExtensionPoint

    public ExtensionPoint getExtensionPoint()

### setExtensionPoint

    public void setExtensionPoint(ExtensionPoint extensionPoint)

### isExtensionPoint

    public boolean isExtensionPoint()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015 TIBCO Software Inc. All Rights Reserved.